Subject: bug#37390: 26.3; ediff-buffers appears to have a focus issue

From: Noam Postavsky <[email-masked]>
Date: Wed, 18 Sep 2019 18:31:01 -0400

martin rudalics <[email-masked]> writes:

>> Start up ediff-buffers on two files with a few differences
>>
>> In the ediff control frame, use the n and p commands to move around. You
>> should have no problems.
>>
>> Now, take one diff and use the a or b key to pick one of the diffs to apply
>> to the other buffer.
>>
>> Your cursor should now be in one of the text buffers. It has moved out of
>> the ediff control frame. If you refocus on the control frame and try to
>> navigate with n or p, the cursor will jump out to one of the text buffers.
>
> Can anyone reproduce this behavior?

No, but I expect it heavily depends on the window manager and its
configuration (I use i3 here, a tiling window manager).